using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航：试题知识点
    /// </summary>
    [Description("导航：试题知识点")]
    public class T_SE_TEST_LIST_POINT : MesEntityBase
    {
        /// <summary>
        /// 试题ID
        /// </summary>
        [Description("试题ID")]
        [DataFieldForeignKey("Nav_Test", "Nav_Points")]

        public Guid TEST_ID { get; set; }

        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 试题")]
        public T_SE_TEST Nav_Test { get; set; }


        /// <summary>
        /// 知识点ID
        /// </summary>
        [Description("知识点")]
        [DataFieldForeignKey("Nav_Point")]
        [FormFieldEdit]
        public Guid? POINT_ID { get; set; }


        /// <summary>
        /// 导航: 知识点
        /// </summary>
        [Description("导航: 知识点")]
        public T_SE_TEST_ENUM_POINT Nav_Point { get; set; }
    }
}
